Subject: Re: [PATCH v2 0/4] branch --recurse-submodules: Bug fixes and clean ups

From: Junio C Hamano <[email-masked]>
Date: Thu, 31 Mar 2022 15:39:55 -0700

"Glen Choo via GitGitGadget" <[email-masked]> writes:

> Thanks for the feedback, all. This version incorporates most of the
> suggestions (which were pretty small anyway).
>
> == Patch organization
>
> Patches 1-2 are bugfixes, 3-4 are clean ups.
>
> Patch 1 fixes a bug where "git branch --recurse-submodules" would not
> propagate the "--track" option if its value was "--no-track" or
> "--track=inherit".
>
> Patch 2 fixes a bug where "git branch --recurse-submodules" would give
> advice before telling the user what the problem is (instead of the other way
> around).
>
> Patch 3 fixes some old inconsistencies when "git branch --set-upstream-to"
> gives advice and when it doesn't.
>
> Patch 4 replaces exit(-1) with exit(1).
>
> == Changes
>
> Since v1:
>
>  * Patch 1: reword the --track comments to be prescriptive
>  * Patch 3: remove a now-unnecessary die(). I didn't include a suggestion to
>    inline the advice string to save reviewers the trouble of proofreading
>    (and the format string has no placeholders anyway, so I don't think we'd
>    get much benefit out of typechecking). We can inline it in another
>    series.

Thanks, but sorry that I've already merged the previous round.  Let
me turn them into incrementals.